_ptrLoadSelHead		dw	0, 0
_ptrLoadProgram		dw	0, 0
_ptrLoadHead		dw	0, 0
_ptrDosFile		dw	0, 0

_setLoadPtrs	proc
		public	_setLoadPtrs

		push	bp
		mov	bp, sp
		mov	ax, [bp + 6]
		mov	cs:_ptrLoadSelHead, ax
		mov	ax, [bp + 8]
		mov	cs:_ptrLoadSelHead + 2, ax
		mov	ax, [bp + 10]
		mov	cs:_ptrLoadProgram, ax
		mov	ax, [bp + 12]
		mov	cs:_ptrLoadProgram + 2, ax
		mov	ax, [bp + 14]
		mov	cs:_ptrLoadHead, ax
		mov	ax, [bp + 16]
		mov	cs:_ptrLoadHead + 2, ax
		mov	ax, [bp + 18]
		mov	cs:_ptrDosFile, ax
		mov	ax, [bp + 20]
		mov	cs:_ptrDosFile + 2, ax
		pop	bp
		ret

_setLoadPtrs	endp

res_load	db	0

decodeFil	proc	near

		les	di, dword ptr cs:_ptrDosFile
		mov	al, 0
@@1:		cmp	byte ptr [si], 0
		jz	@@2
		cmp	byte ptr [si], '.'
		jnz	@@11
		mov	al, 1
@@11:		movsb
		jmp	@@1
@@2: 	       	or	al, al
		jnz	@@3
		mov	al, '.'
		stosb
		mov	al, 'M'
		stosb
		mov	al, 'Z'
		stosb
		mov	al, 'F'
		stosb
@@3:		mov	al, 0
		stosb
		ret

decodeFil	endp

		public	load_prg

load_prg	proc	near

		pusha
		push	es
		push	ds
		push	cx			; kolik
		push	cs:hl			; kam
		call    dword ptr _ptrLoadProgram
		mov	cs:res_load, al
		pop	cx
		pop	cx
		pop	ds
		pop	es
		popa
		and	ah, 0feh
		or	ah, res_load		; CY set / reset
		ret

load_prg	endp

		public	load_header

load_header	proc	near

		pusha
		push    es
		push	ds
		push	cs:hl			; kam
		mov	si, dx			; v DE je ukazatel na filename
		call	decodeFil
		call    dword ptr _ptrLoadHead
		pop	cx
		mov	cs:res_load, al
		pop	ds
		pop	es
		popa
		and	ah, 0feh
		or	ah, res_load
		ret

load_header	endp

		public	load_sel_header

load_sel_header	proc	near

		call	store
		pusha
		push	es
		push	ds
		push	cs:hl			; kam
		call	dword ptr _ptrLoadSelHead
		pop	cx
		mov	cs:res_load, al
		pop	ds
		pop	es
		popa
		call	restore
		and	ah, 0feh
		or	ah, res_load
		ret

load_sel_header	endp

