		EVEN

vga_col		db	0

set_int_7	proc	near

		pusha
		push	ds
		push	es
		mov	dx, 3c4h
		mov	ax, 704h		; konfigurace: text char gen.
		out	dx, ax			; VRAM > 64K; sequential ram
		mov	dl, 0ceh
		mov	ax, 5			; zapisovy a cteci mod 0
		out	dx, ax
		mov	ax, 406h
		out	dx, ax			; char gen.; VRAM at 0a000h

		mov	dl, 0c4h
		mov	ax, 402h
		out	dx, ax

		mov	ds, cs:seg_ROM
		mov	es, cs:seg_VRAM
		mov	bh, 0f0h
		mov	si, 8000h
		mov	di, 0
		mov	cx, 256
@@0:		mov	al, 8
@@1:		mov	bl, [si]
		inc	si
		mov	bl, [bx]
		mov	es:[di], bl
		mov	es:[di+1], bl
		add	di, 2
		dec	al
		jnz	@@1
		add	di, 10h
		loop	@@0

		mov	si, 8800h
		mov	di, 4000h
		mov	cx, 256
@@2:		mov	al, 8
@@3:		mov	bl, [si]
		inc	si
		mov	bl, [bx]
		mov	es:[di], bl
		mov	es:[di+1], bl
		add	di, 2
		dec	al
		jnz	@@3
		add	di, 10h
		loop	@@2

		mov	ax, 1103h
		mov	bl, 00000100b
		int	10h
		mov	ax, 100h
		mov	cx, 0
		int	10h
		mov	ax, 1003h
		mov	bl, 0
		int	10h
		mov	ax, 1012h
		mov	bx, 0
		mov	cx, 8
		mov	dx, cs:ptrCOLORS7
		mov	ax, 1012h
		push	cs
		pop	es
		int	10h
		mov	bx, 16
		mov	cx, 8
		mov	dx, cs:ptrCOLORS7
		mov	ax, 1012h
		push	cs
		pop	es
		int	10h
		pop	es
		pop	ds
		popa
		jmp	set_up_bor

set_int_7	endp

int_10		proc	near

		cmp	ax, 1
		jz	@@mode7
		int	10h			; 800 mody ...
		call	set_colors
		call	set_up_col		; nastav barvy
		jmp	set_up_bor
@@mode7:	int	10h
		jmp	set_int_7

int_10		endp

		EVEN
colormask	db	0
		EVEN
wrtf		db	0
		EVEN
readf		db	0
		EVEN
wflag		db	0		; write flag, pro EGU
		EVEN
color2		db	0		; barva pro rezim 2

		EVEN

COLORS		db	0, 0, 0		; cerna
		db	16, 16, 43	; modra
		db	52, 13, 0	; cervena
		db	45, 3, 35	; purpurova
		db	16, 47, 0	; zelena
		db	9, 51, 63	; azurova
		db	58, 53, 12	; zluta
		db	52, 52, 52	; bila
		db	33, 33, 33	; seda
		db	0, 35, 58	; svetle modra
		db	63, 0, 0	; svetle cervena
		db	60, 21, 51	; svetle purpurova
		db	21, 63, 21	; svetle zelena
		db	32, 63, 63	; svetle azurova
		db	63, 63, 10	; svetle zluta
		db	63, 63, 63	; svetle bila


COLORS7		db	0, 0, 0		; cerna
		db	0, 35, 58	; svetle modra
		db	63, 0, 0	; svetle cervena
		db	60, 21, 51	; svetle purpurova
		db	21, 63, 21	; svetle zelena
		db	32, 63, 63	; svetle azurova
		db	63, 63, 10	; svetle zluta
		db	63, 63, 63	; svetle bila


BWCOLORS	db	0, 0, 0		; cerna
		db	21, 21, 21	; modra
		db	24, 24, 24	; cervena
		db	27, 27, 27	; purpurova
		db	30, 30, 30	; zelena
		db	33, 33, 33	; azurova
		db	36, 36, 36	; zluta
		db	39, 39, 39	; bila
		db	42, 42, 42	; seda
		db	45, 45, 45	; svetle modra
		db	48, 48, 48	; svetle cervena
		db	51, 51, 51	; svetle purpurova
		db	54, 54, 54	; svetle zelena
		db	57, 57, 57	; svetle azurova
		db	60, 60, 60	; svetle zluta
		db	63, 63, 63	; svetle bila


BWCOLORS7	db	0, 0, 0		; cerna
		db	45, 45, 45	; svetle modra
		db	48, 48, 48	; svetle cervena
		db	51, 51, 51	; svetle purpurova
		db	54, 54, 54	; svetle zelena
		db	57, 57, 57	; svetle azurova
		db	60, 60, 60	; svetle zluta
		db	63, 63, 63	; svetle bila

BORCOLORS	db	0		; cerna
		db	000001b		; modra
		db	000100b		; cervena
		db	000110b		; purpurova
		db	000010b		; zelena
		db	000011b		; azurova
		db	000101b		; zluta
		db	001111b		; bila
		db	000111b		; seda
		db	001001b		; svetle modra
		db	100100b		; svetle cervena
		db	110110b		; svetle purpurova
		db	010010b		; svetle zelena
		db	011011b		; svetle azurova
		db	101101b		; svetle zluta
		db	111111b		; svetle bila


		EVEN

ptrCOLORS	dw	offset COLORS
ptrCOLORS7	dw	offset COLORS7

		EVEN

set_colors	proc	near

		push	ax
		push	cx
		push	bx
		push	dx
		push	es
		push	cs
		pop	es
		mov	dx, cs:ptrCOLORS
		mov	bx, 0
		mov	cx, 8
		mov	ax, 1012h
		int	10h
		mov	dx, cs:ptrCOLORS
		add	dx, 3 * 8
		mov	bx, 16
		mov	cx, 8
		mov	ax, 1012h
		int	10h
		pop	es
		pop	dx
		pop	bx
		pop	cx
		pop	ax
		ret

set_colors	endp

		EVEN

set_up_col	proc	near

		cmp	cs:MODE, 0ffh		; MZ-800 ?
		jz	@@1			; ano ..
		push	ax
		push	bx
		push	cx
		push	dx
		push	es
		mov	bx, 0
		mov	cx, 8
		mov	dx, cs:ptrCOLORS7
		mov	ax, 1012h
		push	cs
		pop	es
		int	10h
		pop	es
		pop	dx
		pop	cx
		pop	bx
		pop	ax
		ret
@@1:            push	bx
		mov	bx, 4			; sw bit taky
		cmp	cs:VMODE, 2
		jz	@@2
		dec	bx			; bez sw bitu
@@2:		push	bx
		mov	bh, cs:[bx + offset pal4]
		push	bx
		mov	bh, 0
		not	cs:[bx + offset pal4]
		pop	bx
		push	offset @@3
		push	bx
		jmp	out_pal
@@3:		pop	bx
		dec	bl
		cmp	bl, 0ffh
		jnz	@@2
		pop	bx
		ret

set_up_col	endp

		EVEN

set_up_bor	proc	near

		push	dx
		push	ax
		mov	dx, 3dah
		in	al, dx
		in	al, dx
		mov	dx, 3c0h
		mov	al, 11h
		out	dx, al
		mov	al, 0ffh		; 255 - mam vyhrazeno pro b.
		out	dx, al
		mov	al, 20h
		out	dx, al			; vrat obraz
		pop	ax
		pop	dx
		ret

set_up_bor	endp

		EVEN

set_border	proc	near

		push	ax
		push	bx
		push	dx
		mov	bl, cs:scroll_reg + 6
		and	bx, 0fh		; barva
		mov	ax, bx
		add	bx, bx		; * 2
		add	bx, ax		; * 3
		add	bx, cs:ptrCOLORS
		mov	dx, 3c8h		; volba barvy
		mov	al, 0ffh		; 255 - mam vyhrazeno pro bor
		out	dx, al
		inc	dx
		jmp	@@1			; male zpozdeni
@@1:		mov	al, cs:[bx]
		out	dx, al			; R
		jmp	@@2
@@2:		mov	al, cs:[bx+1]
		out	dx, al			; G
		jmp	@@3
@@3:		mov	al, cs:[bx+2]
		out	dx, al			; B
@@k:		pop	dx
		pop	bx
		pop	ax
		ret

set_border	endp

		EVEN

pal4		db	0, 11h, 22h, 33h
swbit		db	40h

		EVEN

out_palRGB	proc	near

		cmp	cs:VMODE, 6		; specialni mod
		jnz	@@0
		test	al, 100b
		jnz	@@x1
		and	al, 1
		jmp	@@01
@@x1:		and	al, 1
		or	al, 4
		jmp	@@01
@@0:		test	al, 1000b
		jz	@@01
		and	al, 111b
		or	al, cs:vga_col		; bud 10000b nebo 1000b
@@01:		mov	dx, 3c8h
		out	dx, al
		jmp	@@1
@@1:		jmp	@@2
@@2:		inc	dx
		mov	al, cs:[si]
		out	dx, al
		jmp	@@m2sw21
@@m2sw21:	jmp	@@m2sw211
@@m2sw211:	mov	al, cs:[si + 1]
		out	dx, al
		jmp	@@m2sw22
@@m2sw22:	jmp	@@m2sw221
@@m2sw221:	mov	al, cs:[si + 2]
		out	dx, al
		jmp	@@m2sw23
@@m2sw23:	jmp	@@m2sw231
@@m2sw231:	ret

out_palRGB	endp

		EVEN

out_pal		proc	near

		pop	bx
		cmp	cs:VMODE, 2	; 16-ti barevny mod ?, tak to ignoruj
		jz	@@m2		; mod 2 je jiny
		cmp	cs:VMODE, 8	; MZ-700 mod, koncim
		jz	@@k
		test	bh, 01000000b	; nastaveni SW se ignoruje
		jnz	@@k
		push	ax
		push	bx
		push	dx
		mov	ah, bh
		mov	bl, bh
		and	bx, 0fh		; barva
		mov	dx, bx
		add	bx, bx		; * 2
		add	bx, dx		; * 3
		add	bx, cs:ptrCOLORS
		mov	al, ah
		shr	al, 4
		and	al, 3
		push	ax
		push	si
		mov	si, bx
		call	out_palRGB
		pop	si
		pop	ax
		mov	bl, al
		mov	bh, 0
		mov	cs:[bx + offset pal4], ah
		pop	dx
		pop	bx
		pop	ax
@@k:		ret

@@m2:		push	dx
		push	bx
		push	ax
		mov	bl, bh
		test	bl, 01000000b		; sw bit
		jnz	@@m2sw
		mov	ah, bl
		shr	bl, 4
		mov	al, cs:swbit		; swbit(y)
		shl	al, 2			; na spravne misto
		and	bx, 3
		cmp	cs:[bx + offset pal4], ah
		jz	@@m2k
		mov	cs:[bx + offset pal4], ah
		or	bl, al			; secti
		and	bx, 0fh			; a mame barvu, ktera se meni
		mov	al, bl			; barva
		mov	bl, ah
		and	bx, 0fh			; kod barvy
		mov	dx, bx
		add	bx, bx
		add	bx, dx			; * 3
		add	bx, cs:ptrCOLORS	; barvy ...
		push	si
		mov	si, bx
		call	out_palRGB
		pop	si
@@m2k:		pop	ax
		pop	bx
		pop	dx
		ret

@@m2sw:		cmp	bl, cs:swbit
		jz	@@m2k
		push	si			; potrebuju jeste jeden ...
		mov	cs:swbit, bl		; set up of sw bit
		and	bx, 3			; tak to se ma zmenit, bh-cnt
		mov	si, cs:ptrCOLORS
@@m2sw1:	mov	al, bh
		shr	al, 2
		cmp	al, bl			; uz sme tam ?
		jz	@@m2swp			; ano ...
		mov	al, bh
		call	out_palRGB
@@m2sw2:	add	si, 3
		inc	bh			; zvys citac
		cmp	bh, 16			; pouze do 16
		jnz	@@m2sw1
		jmp	@@m2swk

@@m2swp:	push	si
		push	bx
		mov	bl, bh
		and	bx, 3
		mov	bl, cs:[bx + offset pal4]	; vezmi barvu
		and	bx, 0fh
		mov	ax, bx
		add	bx, bx
		add	bx, ax				; * 3
		add	bx, cs:ptrCOLORS
		mov	si, bx				; ukazatel
		pop	bx
		mov	al, bh
		call    out_palRGB
		pop	si
		jmp     @@m2sw2				; a deme na dalsi

@@m2swk:	pop	si
		pop	ax
		pop	bx
		pop	dx
		ret

out_pal		endp

		EVEN

out_wf		proc	near

		pop	bx
		cmp	cs:MODE, 0ffh
		jz	@@0
		ret
@@0:		and	bh, cs:colormask
		mov	cs:wrtf, bh	; write format register
		mov	bl, bh
		test	bl, 10000000b
		jz	@@1
		and	bl, 11000000b
		cmp	bl, 11000000b
		jz	@@10
		jmp	@@1x
@@10:		push	dx		; pouze PSET je mod 2
		push	ax
		push	bx
		mov	dx, 3c4h
		mov	ax, 0f02h	; zapis do vsech desek
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 205h	; write mode 2
		mov	cs:wflag, ah
		out	dx, ax
		mov	al, bh
		and	al, 0fh		; color
		mov	cs:color2, al	; uloz
		mov	ax, 3
		out	dx, ax
		mov	ax, 0ff08h
		out	dx, ax

		mov	ax, 0
		out	dx, ax
		mov	ax, 1
		out	dx, ax

		mov	bl, bh
		shr	bl, 3
		and	bx, 11110b	; zapisove rezimy
		jmp	word ptr [bx + offset tbl_wrez]	; a nastav to
@@1:		push	dx
		push	ax
		push	bx
		mov	dx, 3ceh
		mov	ax, 5		; write mode 0
		mov	cs:wflag, ah
		out	dx, ax
		mov	ah, bh		; bitove roviny povol ...
		mov	al, 2
		mov	dx, 3c4h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 0
		out	dx, ax
		mov	ax, 1
		out	dx, ax
		mov	ax, 0ff08h
		out	dx, ax
		mov	bl, bh
		shr	bl, 3
		and	bx, 11110b	; zapisove rezimy
		jmp	word ptr [bx + offset tbl_wrez]	; a nastav to
@@1x:		push	dx
		push	ax
		push	bx
		mov	dx, 3ceh
		mov     ax, 5h		; write mode 0
		mov	cs:wflag, ah
		out	dx, ax
		mov	ax, 3		; normalni
		out	dx, ax
		mov	ah, bh
		and	ah, 0fh
;		jz	@@1x1
		mov	al, 0
		out	dx, ax
		not	ah
		and	ah, 0fh
		mov	al, 01h
		out	dx, ax
		jmp	@@1x2
@@1x1:          mov	ax, 0
		out	dx, ax		; pis vse ...
		mov	ax, 1
		out	dx, ax
@@1x2:		mov	ax, 0ff08h
		out	dx, ax
		mov	dx, 3c4h
		mov	ax, 0ff02h
		out	dx, ax
		mov	bl, bh
		shr	bl, 3
		and	bx, 11110b	; zapisove rezimy
		jmp	word ptr [bx + offset tbl_wrez]	; a nastav to

out_wf		endp

		EVEN

prp_bits	db	0, 0, 1, 1		; 0 - 3
		db	2, 2, 2, 2		; 4 - 8
		db	3, 3, 3, 3		; 9 - 12
		db	3, 3, 3, 3		; 13 - 16


		EVEN

out_rf		proc	near

		pop	bx
		cmp	cs:MODE, 0ffh
		jz	@@0
		ret
@@0:		and	bh, cs:colormask
		mov	cs:readf, bh
		test	bh, 10000000b
		jz	@@1		; ok, direct access
		push	ax
		push	dx
		mov	dx, 3ceh
		mov	ax, 805h
		mov	ax, 5h
		or	ah, cs:wflag	; write flag
		out	dx, ax
		test	bh, 00010000b
		mov	ax, offset readcmpA
		mov	dx, offset wreadcmpA
		jz	@@10
		mov	ax, offset readcmpB
		mov	dx, offset wreadcmpB
@@10:		mov	cs:rvram_a, ax
		mov	cs:wrvram_a, dx
		and	bh, 0fh
		jnz	@@1x1
		or	cs:readf, 0fh
@@1x1:		pop	dx
		pop	ax
		ret
@@1:		push	ax
		push	dx
		push	bx
		mov	dx, 3ceh
		mov	ax, 5h
		or	ah, cs:wflag	; write flag
		out	dx, ax
		mov	al, 4
		mov	bl, bh
		and	bx, 0fh
		mov	ah, cs:[bx + offset prp_bits]
		out	dx, ax
		pop	bx
		test	bh, 00010000b
		mov	ax, offset readdirA
		mov	dx, offset wreaddirA
		jz	@@11
		mov	ax, offset readdirB
		mov	dx, offset wreaddirB
@@11:		mov	cs:rvram_a, ax
		mov	cs:wrvram_a, dx
		pop	dx
		pop	ax
		ret

out_rf		endp

		EVEN

out_dmd		proc	near

		pop	bx
		push	bx
		mov	bl, bh
		and	bl, 0fh
		cmp	cs:VMODE, bl	; stejne ?
		jnz	@@0001		; ne, pokracuj
		pop	bx
		ret
@@0001:		test	bl, 8		; 700 mod ?
		jnz	@@00x1		; ne 800 mody ...
		jmp	@@1
@@00x1:		mov	cs:VMODE, 8
		mov	bx, offset MAP700
		mov	cs:MEMCFG, bx
		add	bx, cs:MEMSTS
		add	bx, cs:MEMSTS
		push	offset @@00x11
		push	bx
		jmp	word ptr cs:[bx]
@@00x11:	mov	cs:MODE, 0
		push	ax
		call	setMZ700
		mov	ax, 1
		call	int_10
		pop	ax
		pop	bx
		ret
@@1:		cmp	bl, 7		; tento mod vubec neznam ...
		jnz	@@2
		mov	bx, 9
		jmp	error
@@2:		mov	cs:MODE, 0ffh	; mode 800
		test	bl, 100b
		jz	@@2x		; 640 x 200
		jmp	@@3
@@2x:		and	bl, 1110b
		and	cs:VMODE, 1110b
		cmp	bl, cs:VMODE
		jnz	@@20
		push	dx
		push	ax
		mov	bl, bh
		and	bl, 0fh
		mov	cs:VMODE, bl
		mov	bh, 0
		test	bl, 1
		jz	@@2x1
		mov	ah, 20h
@@2x1:		mov	dx, 3b4h
		mov	al, 12			; high addr page
		out	dx, ax
		mov	ax, 13			; low addr page
		out	dx, ax
		pop	ax
		pop	dx
		pop	bx
		ret
@@20:		mov	bl, bh
		and	bl, 0fh
		cmp	bl, 2			; 320 x 200  16 col. ?
		xchg	cs:VMODE, bl
		pushf
		call	set_up_col
		popf
		jnz	@@200
		and	bl, 1110b
		jnz	@@200
		jmp	@@4na16
@@200:		mov	bl, bh
		mov	cs:colormask, 11101111b
		test	bl, 10b		; 320 x 200
		jnz	@@21
		mov	cs:colormask, 11111111b		; 11110011b
@@21:		push	bx
		mov	bx, offset MAP800
		mov	cs:MEMCFG, bx
		add	bx, cs:MEMSTS
		add	bx, cs:MEMSTS
		push	offset @@22
		push	bx
		jmp	word ptr cs:[bx]
@@22:		pop	bx
		call	prep320
		pop	bx
		ret
@@3:		mov	bl, bh
		and	bl, 0fh
		mov	cs:VMODE, bl
		mov	cs:colormask, 11100101b
		test	bl, 10b
		jnz	@@31
		mov	cs:colormask, 11110001b
@@31:		push	bx
		mov	bx, offset MAP900
		mov	cs:MEMCFG, bx
		add	bx, cs:MEMSTS
		add	bx, cs:MEMSTS
		push	offset @@32
		push	bx
		jmp	word ptr cs:[bx]
@@32:		pop	bx
		call	prep640
		pop	bx
		ret
@@4na16:	mov	cs:colormask, 11101111b
		jmp	@@4na16_e
		pusha
		push	es
		push	ds
		mov	es, cs:seg_VRAM
		mov	ds, cs:seg_VRAM
		mov	dx, 3ceh
		mov	ax, 0
		out	dx, ax
		mov	ax, 1
		out	dx, ax
		mov	ax, 3
		out	dx, ax
		mov	ax, 5
		out	dx, ax
		mov	ax, 4 			; cteni, rovina 1
		out	dx, ax
		mov	dx, 3c4h
		mov	ax, 402h		; zapis - rovina 3
		out	dx, ax
		mov	si, 2000h		; zacatek
		xor	di, di
		mov	cx, 1000h
		cld
		rep movsw
		mov	ax, 802h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 104h		; cteni, rovina 2
		out	dx, ax
		mov	si, 2000h
		xor	di, di
		mov	cx, 1000h
		cld
		rep movsw
		pop	ds
		pop	es
		popa
		call	set_up_col
@@4na16_e:	pop	bx
		ret

out_dmd		endp

; ================================================

		EVEN

scroll_reg	db	0, 0, 0, 0, 0, 0, 0, 0
scroll_poz	db	0			; druhy zapis do SOF ?
		EVEN
sof_old		dw	0			; stary registr SOF ...
scll_start	dw	0
scll_end	dw	0
scll_test	dw	0

scll_prep320	proc	near

		mov	ax, cs:seg_VRAM
		mov	ds, ax
		mov	al, cs:scroll_reg + 4	; scroll start adress
		mov	ah, 0
		shl	ax, 6			; * 64
		mov	cs:scll_start, ax
		mov	cx, ax
		mov	al, cs:scroll_reg + 5	; scroll end adress
		mov	ah, 0
		shl	ax, 6			; * 64
		mov	cs:scll_end, ax
		cmp	cx, ax                  ; <, neroluj
		jc 	@@01
		mov	cs:scll_end, cx
		mov	cs:scll_start, ax
@@01:		mov	bx, word ptr cs:scroll_reg + 1
		cmp     cs:sof_old, bx
		stc				; nastav cary
		jz	@@1			; stejne, kaslu na to...
		mov	ax, bx
		sub	bx, cs:sof_old		; o kolik bude posun ...
		xchg	ax, cs:sof_old		; ok..
		jns	@@2
		mov	bl, cs:scroll_reg + 3	; scroll width
		mov	bh, 0
		shl	bx, 2
		sub	bx, ax
		stc
		js	@@1
@@2:		shl	bx, 3			; * 8

		mov	dx, 3ceh
		mov	ax, 5			; cteci a zapisovy mod ...
		out	dx, ax
		mov	ax, 4			; pro cteni
		out	dx, ax
		mov	ax, 3
		out	dx, ax
		mov	ax, 1
		out	dx, ax
		mov	ax, 0
		out	dx, ax

		clc				; zrus
@@1:		ret

scll_prep320	endp


scll_prep640	proc	near

		mov	ax, cs:seg_VRAM
		mov	ds, ax
		mov	al, cs:scroll_reg + 4	; scroll start adress
		mov	ah, 0
		shl	ax, 7			; * 128
		mov	cs:scll_start, ax
		mov	cx, ax
		mov	al, cs:scroll_reg + 5	; scroll end adress
		mov	ah, 0
		shl	ax, 7			; * 128
		mov	cs:scll_end, ax
		cmp	cx, ax                  ; <, neroluj
		jc 	@@01
		mov	cs:scll_end, cx
		mov	cs:scll_start, ax
@@01:		mov	bx, word ptr cs:scroll_reg + 1
		cmp     cs:sof_old, bx
		stc				; nastav cary
		jz	@@1			; stejne, kaslu na to...
		mov	ax, bx
		sub	bx, cs:sof_old		; o kolik bude posun ...
		xchg	ax, cs:sof_old		; ok..
		jns	@@2
		mov	bl, cs:scroll_reg + 3	; scroll width
		mov	bh, 0
		shl	bx, 3
		sub	bx, ax
		stc
		js	@@1
@@2:		shl	bx, 4			; * 16

		mov	dx, 3ceh
		mov	ax, 5			; cteci a zapisovy mod ...
		out	dx, ax
		mov	ax, 4
		out	dx, ax
		mov	ax, 3
		out	dx, ax
		mov	ax, 1
		out	dx, ax
		mov	ax, 0
		out	dx, ax

		clc				; zrus
@@1:		ret

scll_prep640	endp

scll_rov640	proc	near

		mov	ds, cs:seg_VRAM
		mov	cx, bx
		shr	cx, 1			; / 2
		cld
		mov	si, cs:scll_start	; zacatek
		add	si, bp			; + zacatek stranky
		mov	di, 4000h		; do pameti
		rep	movsw
		mov	es, cs:seg_VRAM
		mov	si, cs:scll_start
		mov	di, si
		add	di, bp			; + zacatek stranky
		add	si, bx
		add  	si, bp			; + zacatek stranky
		mov	cx, cs:scll_end
		sub	cx, cs:scll_start	; velikost
		sub	cx, bx
		shr	cx, 1			; /2
		rep	movsw
		mov	ds, cs:seg_ROM
		mov	si, 4000h
		mov	di, cs:scll_end
		sub	di, bx
		add	di, bp			; + zacatek stranky
		mov	cx, bx
		shr	cx, 1
		rep	movsw
		ret

scll_rov640	endp

scll_return	proc	near

		mov	ds, cs:seg_RAM
		mov	es, cs:seg_ROM
		mov	bh, cs:wrtf
		not	cs:wrtf
		push	offset @@k1
		push	bx
		jmp	out_wf
@@k1:		mov	bh, cs:readf
		not	cs:readf
		push	offset @@k2
		push	bx
		jmp	out_rf
@@k2:		ret

scll_return	endp

scll_m0		proc	near

		pusha				; deme na scrolling ...
		call	scll_prep320		; nemenit BX !!!
		jc	@@k			; CY - konec
@@01:		mov	dx, 3c4h		; nastav rovinu
		mov	ax, 102h		; jenom jednu na zapis
		out	dx, ax
		xor	bp, bp			; zacatek stranky
		call    scll_rov640
		mov	dx, 3c4h
		mov	ax, 202h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 104h
		out	dx, ax
		call	scll_rov640		; druha rovina ...
@@k:		popa
		jmp	scll_return

scll_m0		endp

scll_m1		proc	near

		pusha				; deme na scrolling ...
		call	scll_prep320		; nemenit BX !!!
		jc	@@k			; CY - konec
@@01:		mov	dx, 3c4h		; nastav rovinu
		mov	ax, 102h		; jenom jednu na zapis
		out	dx, ax
		mov	bp, 2000h		; zacatek stranky
		call    scll_rov640
		mov	dx, 3c4h
		mov	ax, 202h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 104h
		out	dx, ax
		call	scll_rov640		; druha rovina ...
@@k:		popa
		jmp	scll_return

scll_m1		endp

scll_m2		proc	near

		pusha				; deme na scrolling ...
		call	scll_prep320		; nemenit BX !!!
		jc	@@k			; CY - konec
@@01:		mov	dx, 3c4h		; nastav rovinu
		mov	ax, 102h		; jenom jednu na zapis
		out	dx, ax
		xor	bp, bp			; zacatek stranky
		call    scll_rov640
		mov	dx, 3c4h
		mov	ax, 202h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 104h
		out	dx, ax
		call	scll_rov640		; druha rovina ...
		mov	dx, 3c4h
		mov	ax, 402h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 204h
		out	dx, ax
		call	scll_rov640
		mov	dx, 3c4h
		mov	ax, 802h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 304h
		out	dx, ax
		call	scll_rov640
@@k:		popa
		jmp	scll_return

scll_m2		endp

scll_m4		proc	near

		pusha				; deme na scrolling ...
		call	scll_prep640		; nemenit BX !!!
		jc	@@k			; CY - konec
@@01:		mov	dx, 3c4h		; nastav rovinu
		mov	ax, 102h		; jenom jednu na zapis
		out	dx, ax
		xor	bp, bp
		call    scll_rov640
@@k:		popa
		jmp	scll_return

scll_m4		endp

scll_m5		proc	near

		pusha				; deme na scrolling ...
		call	scll_prep640		; nemenit BX !!!
		jc	@@k			; CY - konec
@@01:		mov	dx, 3c4h		; nastav rovinu
		mov	ax, 102h		; jenom jednu na zapis
		out	dx, ax
		mov	bp, 4000h		; zacatek stranky
		call    scll_rov640
@@k:		popa
		jmp	scll_return

scll_m5		endp

scll_m6		proc	near

		pusha				; deme na scrolling ...
		call	scll_prep640		; nemenit BX !!!
		jc	@@k			; CY - konec
@@01:		mov	dx, 3c4h		; nastav rovinu
		mov	ax, 102h		; jenom jednu na zapis
		out	dx, ax
		xor	bp, bp			; zacatek stranky
		call    scll_rov640
		mov	dx, 3c4h
		mov	ax, 402h
		out	dx, ax
		mov	dx, 3ceh
		mov	ax, 204h
		out	dx, ax
		call	scll_rov640
@@k:		popa
		jmp	scll_return

scll_m6		endp

		EVEN

scroll_tbl	dw	offset scll_m0		; MODE 0
		dw	offset scll_m1		; MODE 1
		dw	offset scll_m2		; MODE 2
		dw	offset return		; MODE 3
		dw	offset scll_m4		; MODE 4
		dw	offset scll_m5		; MODE 5
		dw	offset scll_m6		; MODE 6
		dw	offset return		; MODE 7

		EVEN

out_scroll	proc	near

		pop	bx
		push	bx
		push	ax
		mov	al, bh
		mov	bl, ch		; z B
		and	bl, 7
		mov	bh, 0
		mov	cs:[bx + offset scroll_reg], al
		cmp	bl, 6		; border ?
		jz	@@bor
		cmp	bl, 1
		jz	@@01
		cmp	bl, 2
		jnz	@@1
@@01:		mov	bl, cs:VMODE
		test	bl, 8
		jnz	@@1
		not	cs:scroll_poz
		cmp	cs:scroll_poz, 0	; uz druhy ?
		jnz	@@1			; ne
		and	bx, 7
		shl	bx, 1
		mov	al, cs:intr_off
		mov	cs:intr_off, 0ffh		; vypni interrupt
		call	word ptr cs:[bx + offset scroll_tbl]
		mov	cs:intr_off, al
@@1:		pop	ax
		pop	bx
return:		ret
@@bor:		call	set_border
		pop	ax
		pop	bx
		ret

out_scroll	endp

		EVEN

inp_srr		proc	near

		push	ax
		push	dx
		mov	dx, 3dah
		in	al, dx
		test	al, 1
		mov	bl, 01110000b
		jnz	@@1
		mov	bl, 0
@@1:            test	al, 8
		jz	@@2
		or	bl, 10000000b
@@2:		mov	al, cs:frekv_33
		and	al, 1
		or	bl, al
		pop	dx
		pop	ax
		ret

inp_srr		endp

; =========================================

		EVEN

exorA		label
worA		label
replaceA	label

singleA		proc	near

		pop	bx
		mov	bh, 0f0h
		mov	bl, es:[bx]
		xchg	fs:[bp - 8000h], bl	; od 0
		ret

singleA		endp

		EVEN

wexorA		label
wworA		label
wreplaceA	label

wsingleA	proc	near

		pop	bx
		push	ax
		mov	ah, bh
		mov	bh, 0f0h
		mov	al, es:[bx]
		mov	bl, ah
		mov	ah, es:[bx]
		xchg	fs:[bp - 8000h], al	; od 0h
		xchg	fs:[bp - 7fffh], ah
		pop	ax
		ret

wsingleA	endp

		EVEN

exorB		label
worB		label
replaceB	label

singleB		proc	near

		pop	bx
		mov	bh, 0f0h
		mov	bl, es:[bx]
		xchg	fs:[bp - 6000h], bl	; od 2000h
		ret

singleB		endp

		EVEN

wexorB		label
wworB		label
wreplaceB	label

wsingleB	proc	near

		pop	bx
		push	ax
		mov	ah, bh
		mov	bh, 0f0h
		mov	al, es:[bx]
		mov	bl, ah
		mov	ah, es:[bx]
		xchg	fs:[bp - 6000h], al	; od 2000h
		xchg	fs:[bp - 5fffh], ah
		pop	ax
		ret

wsingleB	endp

		EVEN

resetA		proc	near

		pop	bx
		mov	bh, 0f0h
		mov	bl, es:[bx]
		not	bl
		xchg	fs:[bp - 8000h], bl
		ret

resetA		endp

wresetA		proc	near

		pop	bx
		push	ax
		mov	ah, bh
		mov	bh, 0f0h
		mov	al, es:[bx]
		mov	bl, ah
		mov	ah, es:[bx]
		not	ax
		xchg	fs:[bp - 8000h], al
		xchg	fs:[bp - 7fffh], ah
		pop	ax
		ret

wresetA		endp

		EVEN

resetB		proc	near

		pop	bx
		mov	bh, 0f0h
		mov	bl, es:[bx]
		not	bl
		xchg	fs:[bp - 6000h], bl
		ret

resetB		endp

		EVEN

wresetB		proc	near

		pop	bx
		push	ax
		mov	ah, bh
		mov	bh, 0f0h
		mov	al, es:[bx]
		mov	bl, ah
		mov	ah, es:[bx]
		not	ax
		xchg	fs:[bp - 6000h], al
		xchg	fs:[bp - 5fffh], ah
		pop	ax
		ret

wresetB		endp

		EVEN

psetA		proc	near

		pop	bx
		push	dx
		push	ax
		mov	dx, 3ceh
		mov	al, 8
		mov	bh, 0f0h
		mov	ah, es:[bx]
		out	dx, ax
		mov	al, cs:color2
		xchg	fs:[bp - 8000h], al
		pop	ax
		pop	dx
		ret

psetA		endp

		EVEN

wpsetA		proc	near

		pop	bx
		push	dx
		push	ax
		mov	dx, 3ceh
		mov	ah, bh
		mov	bh, 0f0h
		mov	al, es:[bx]
		mov	bl, ah
		mov	ah, es:[bx]
		mov	bx, ax
		mov	ah, bl
		mov	al, 8
		out	dx, ax
		mov	bl, cs:color2
		xchg	fs:[bp - 8000h], bl
		mov	ah, bh
		out	dx, ax
		xchg	fs:[bp - 7fffh], bl
		pop	ax
		pop	dx
		ret

wpsetA		endp

		EVEN

psetB		proc	near

		pop	bx
		push	dx
		push	ax
		mov	dx, 3ceh
		mov	al, 8
		mov	bh, 0f0h
		mov	ah, es:[bx]
		out	dx, ax
		mov	al, cs:color2
		xchg	fs:[bp - 6000h], al
		pop	ax
		pop	dx
		ret

psetB		endp

		EVEN

wpsetB		proc	near

		pop	bx
		push	dx
		push	ax
		mov	dx, 3ceh
		mov	ah, bh
		mov	bh, 0f0h
		mov	al, es:[bx]
		mov	bl, ah
		mov	ah, es:[bx]
		mov	bx, ax
		mov	ah, bl
		mov	al, 8
		out	dx, ax
		mov	bl, cs:color2
		xchg	fs:[bp - 6000h], bl
		mov	ah, bh
		out	dx, ax
		xchg	fs:[bp - 5fffh], bl
		pop	ax
		pop	dx
		ret

wpsetB		endp


; =========================================

		EVEN

readcmpA	proc	near

		push	ax
		push	dx
		mov	dx, 3ceh
		mov	bh, cs:readf
		and	bh, 0fh
		mov	bl, 0ffh
		mov	ax, 4
		shr	bh, 1
		jnc	@@2
		out	dx, ax
		and	bl, fs:[bp - 8000h]
@@2:		inc	ah
		shr	bh, 1
		jnc	@@3
		out	dx, ax
		and	bl, fs:[bp - 8000h]
@@3:		or	bh, bh
		jz	@@5
		inc	ah
		shr	bh, 1
		jnc	@@4
		out	dx, ax
		and	bl, fs:[bp - 8000h]
@@4:		inc	ah
		shr	bh, 1
		jnc	@@5
		out	dx, ax
		and	bl, fs:[bp - 8000h]
@@5:		pop	dx
		pop	ax
		mov	bh, 0f0h
		mov	bl, es:[bx]
		ret

readcmpA	endp

		EVEN

wreadcmpA	proc	near

		push	ax
		push	dx
		push	cx
		mov	dx, 3ceh
		mov	bh, cs:readf
		and	bh, 0fh
		mov	cx, 0ffffh
		mov	ax, 4
		shr	bh, 1
		jnc	@@2
		out	dx, ax
		and	cx, fs:[bp - 8000h]
@@2:		inc	ah
		shr	bh, 1
		jnc	@@3
		out	dx, ax
		and	cx, fs:[bp - 8000h]
@@3:		or	bh, bh
		jz	@@5
		inc	ah
		shr	bh, 1
		jnc	@@4
		out	dx, ax
		and	cx, fs:[bp - 8000h]
@@4:		inc	ah
		shr	bh, 1
		jnc	@@5
		out	dx, ax
		and	cx, fs:[bp - 8000h]
@@5:		mov	bl, cl
		mov	bh, 0f0h
		mov	cl, es:[bx]
		mov	bl, ch
		mov	ch, es:[bx]
		mov	bx, cx
		pop	cx
		pop	dx
		pop	ax
		ret

wreadcmpA	endp

		EVEN

readcmpB	proc	near

		push	ax
		push	dx
		mov	dx, 3ceh
		mov	bh, cs:readf
		and	bh, 0fh
		mov	bl, 0ffh
		mov	ax, 4
		shr	bh, 1
		jnc	@@2
		out	dx, ax
		and	bl, fs:[bp - 6000h]
@@2:		inc	ah
		shr	bh, 1
		jnc	@@3
		out	dx, ax
		and	bl, fs:[bp - 6000h]
@@3:		or	bh, bh
		jz	@@5
		inc	ah
		shr	bh, 1
		jnc	@@4
		out	dx, ax
		and	bl, fs:[bp - 6000h]
@@4:		inc	ah
		shr	bh, 1
		jnc	@@5
		out	dx, ax
		and	bl, fs:[bp - 6000h]
@@5:		pop	dx
		pop	ax
		mov	bh, 0f0h
		mov	bl, es:[bx]
		ret

readcmpB	endp

		EVEN

wreadcmpB	proc	near

		push	ax
		push	dx
		push	cx
		mov	dx, 3ceh
		mov	bh, cs:readf
		and	bh, 0fh
		mov	cx, 0ffffh
		mov	ax, 4
		shr	bh, 1
		jnc	@@2
		out	dx, ax
		and	cx, fs:[bp - 6000h]
@@2:		inc	ah
		shr	bh, 1
		jnc	@@3
		out	dx, ax
		and	cx, fs:[bp - 6000h]
@@3:		or	bh, bh
		jz	@@5
		inc	ah
		shr	bh, 1
		jnc	@@4
		out	dx, ax
		and	cx, fs:[bp - 6000h]
@@4:		inc	ah
		shr	bh, 1
		jnc	@@5
		out	dx, ax
		and	cx, fs:[bp - 6000h]
@@5:		mov	bl, cl
		mov	bh, 0f0h
		mov	cl, es:[bx]
		mov	bl, ch
		mov	ch, es:[bx]
		mov	bx, cx
		pop	cx
		pop	dx
		pop	ax
		ret

wreadcmpB	endp

		EVEN

readdirA	proc	near

		mov	bl, fs:[bp - 8000h]
		mov	bh, 0f0h
		mov	bl, es:[bx]
		ret

readdirA	endp

		EVEN

wreaddirA	proc	near

		push	ax
		mov	ax, fs:[bp - 8000h]
		mov	bl, ah
		mov	bh, 0f0h
		mov	ah, es:[bx]
		mov	bl, al
		mov	al, es:[bx]
		pop	ax
		ret

wreaddirA	endp

		EVEN

readdirB	proc	near

		mov	bl, fs:[bp - 6000h]
		mov	bh, 0f0h
		mov	bl, es:[bx]
		ret

readdirB	endp

		EVEN

wreaddirB	proc	near

		push	ax
		mov	ax, fs:[bp - 6000h]
		mov	bl, ah
		mov	bh, 0f0h
		mov	ah, es:[bx]
		mov	bl, al
		mov	al, es:[bx]
		mov	bx, ax
		pop	ax
		ret

wreaddirB	endp


; =========================================

		EVEN

tbl_wrez	dw	offset isingleA, offset isingleB
		dw	offset iexorA, offset iexorB
		dw	offset iworA, offset iworB
		dw	offset iresetA, offset iresetB
		dw	offset ireplaceA, offset ireplaceB
		dw	offset ireplaceA, offset ireplaceB
		dw	offset ipsetA, offset ipsetB
		dw	offset ipsetA, offset ipsetB

		EVEN

isingleA	proc	near

		mov	ax, 3 		; bez upravy
		out	dx, ax
		mov	cs:wvram_a, offset singleA
		mov	cs:wwvram_a, offset wsingleA
		pop	bx
		pop	ax
		pop	dx
		ret

isingleA	endp

		EVEN

isingleB	proc	near

		mov	ax, 3 		; bez upravy
		out	dx, ax
		mov	cs:wvram_a, offset singleB
		mov	cs:wwvram_a, offset wsingleB
		pop	bx
		pop	ax
		pop	dx
		ret

isingleB	endp

		EVEN

iexorA		proc	near

		mov	ax, 1803h	; xor
		out	dx, ax
		mov	cs:wvram_a, offset exorA
		mov	cs:wwvram_a, offset wexorA
		pop	bx
		pop	ax
		pop	dx
		ret

iexorA		endp

		EVEN

iexorB		proc	near

		mov	ax, 1803h	; xor
		out	dx, ax
		mov	cs:wvram_a, offset exorB
		mov	cs:wwvram_a, offset wexorB
		pop	bx
		pop	ax
		pop	dx
		ret

iexorB		endp

		EVEN

iworA		proc	near

		mov	ax, 1003h	; or
		out	dx, ax
		mov	cs:wvram_a, offset worA
		mov	cs:wwvram_a, offset wworA
		pop	bx
		pop	ax
		pop	dx
		ret

iworA		endp

		EVEN

iworB		proc	near

		mov	ax, 1003h	; or
		out	dx, ax
		mov	cs:wvram_a, offset worB
		mov	cs:wwvram_a, offset wworB
		pop	bx
		pop	ax
		pop	dx
		ret

iworB		endp

		EVEN

iresetA		proc	near

		mov	ax, 803h	; and
		out	dx, ax
		mov	cs:wvram_a, offset resetA
		mov	cs:wwvram_a, offset wresetA
		pop	bx
		pop	ax
		pop	dx
		ret

iresetA		endp

		EVEN

iresetB		proc	near

		mov	ax, 803h	; and
		out	dx, ax
		mov	cs:wvram_a, offset resetB
		mov	cs:wwvram_a, offset wresetB
		pop	bx
		pop	ax
		pop	dx
		ret

iresetB		endp

		EVEN

ireplaceA	proc	near

		mov	cs:wvram_a, offset replaceA
		mov	cs:wwvram_a, offset wreplaceA
		pop	bx
		pop	ax
		pop	dx
		ret

ireplaceA	endp

		EVEN

ireplaceB	proc	near

		mov	cs:wvram_a, offset replaceB
		mov	cs:wvram_a, offset wreplaceB
		pop	bx
		pop	ax
		pop	dx
		ret

ireplaceB	endp

		EVEN

ipsetA		proc	near

		mov	ax, 3		; normalni
		out	dx, ax
		mov	cs:wvram_a, offset psetA
		mov	cs:wwvram_a, offset wpsetA
		pop	bx
		pop	ax
		pop	dx
		ret

ipsetA		endp

		EVEN

ipsetB		proc	near

		mov	ax, 3		; normalni
		out	dx, ax
		mov	cs:wvram_a, offset psetB
		mov	cs:wwvram_a, offset wpsetB
		pop	bx
		pop	ax
		pop	dx
		ret

ipsetB	       	endp

		EVEN

prep320		proc	near

		mov	cs:sof_old, 0
		push	ax
		push	dx
		mov	ax, 0dh		; 320 x 200  16 color   8 page
		call	int_10
		mov	ah, 0		; page 0
		test	bl, 10b
		jnz	@@2x1		; 16 barev, nech to tak ...
		test	bl, 1
		jz	@@2x1
		mov	ah, 20h		; page 1
@@2x1:		mov	dx, 3b4h
		mov	al, 12			; high addr page
		out	dx, ax
		mov	ax, 13			; low addr page
		out	dx, ax
		pop	dx
		pop	ax
		jmp	set_up_bor

prep320		endp

		EVEN

prep640		proc	near

		mov	cs:sof_old, 0
		push	ax
		push	dx
		mov	ax, 0eh		; 640 x 200  16 color   4 page
		call	int_10
		mov	ah, 0
		test	bl, 10b
		jnz	@@2x1		; 4 barvy ...
		test	bl, 1
		jz	@@2x1
		mov	ah, 40h		; page 1
@@2x1:		mov	dx, 3b4h
		mov	al, 12			; high addr page
		out	dx, ax
		mov	ax, 13			; low addr page
		out	dx, ax
		pop	dx
		pop	ax
		jmp	set_up_bor

prep640		endp

; ==================================

video_init	proc	near

		mov	cs: colormask, 0
		mov	cs: wrtf, 0
		mov	cs: readf, 0
		mov	cs: wflag, 0
		mov	cs: color2, 0
		mov	word ptr cs: pal4, 1100h
		mov	word ptr cs: pal4 + 2, 3322h
		mov	byte ptr cs: swbit, 40h
		push	es
		push	di
		push	cx
		push	ax
		cld
		push	cs
		pop	es
		mov	di, offset scroll_reg
		mov	cx, (offset scll_test + 2) - offset scroll_reg
		mov	al, 0
		rep	stosb
		pop	ax
		pop	cx
		pop	di
		pop	es
		ret

video_init	endp

_getPtrVideo	proc
		public	_getPtrVideo

		mov	dx, cs
		mov	ax, offset wrtf
		ret

_getPtrVideo	endp
