; ========================================
;
;    Include file for other programs
;
; ========================================
;
;    Tento usek musi byt v jednom segmentu !!!!
;
;   Specialni uprava pro EMULATOR SHARPA !!!
;

		model	large

		.286
		.code   _EMUL

		locals	@@

		assume	ds:_EMUL, es:_EMUL

		extrn	main_8_r: near
		extrn	restore8253: near
		extrn	store8253: near

		DEBUG   = 0
		NODEBUG = 1

		OHodn	= 2		; co se odecita

copyrt		db	'(C) Mark J Cox 1991. Written in Assembler',0dh,0ah
		db	'Modification and correction (C) Perex soft 1992',0dh,0ah
		db	'All rights reserved !!!', 0, 0

		db	0, 90h
commands	db	0

		EVEN
how_hrdwr	db	0
		public	how_hrdwr
		EVEN
akt_vol_div	db	1
		public	akt_vol_div
		EVEN
i_play		db	0
		public	i_play
		EVEN
cfgMusic	db	0
		public	cfgMusic
		EVEN
end_flag	db	0
		db	0
		EVEN
one_patt?	db	0		; 1 = bude se hrat jen jeden pattern
data_8		dw	22000	; 15909		; scanovaci frekvence v Hz !!!
		public	data_8
prer200s	dw	0		; hodnota pro prerus 200x za sec.
akt200s		dw	0
data_9		db	51	;51
		EVEN
ofs_patt	dw	952		; offset pro sekvenci patternu v mod
ofs_first	dw	1084		; offset prvniho patternu v modulu
data_15		dw	0
data_151	dw	0
data_16		db	0
		EVEN
cnt_intr	dw	0		; citac, kolikrat byl interrupt
tempo		dw	0		; citac tempa hudby
defa_tempo	dw	0		; standartni hodnota citace tempa
mod_seg		dw	0		; segment modulu, ktery se hraje
cnt_temp	dw	0		; citac tempa
seg_samples	dw	31 dup (0)	; segmenty samplu (max. 31)
end_play_patt	db	0		; konec hrani patternu
		EVEN
mus_speed	db	0		; rychlost hudby
		EVEN
cnt_speed	db	0		; citac rychlosti (0 - mus_speed)
		EVEN
pos_patt	dw	0		; pozice v patternu (v bytech)
beg_patt	db	0		; zacatecni pattern
		EVEN
obeg_patt	db	0		; stary zacatecni pattern
		EVEN
NumPatt		db	0		; cislo patternu
		EVEN
ONumPatt	db	0		; stare cislo patternu

; Tabulka parametru jednotlivych zarizeni

;			 12345678901234567890
tabpar_0	db	'PC SPEAKER         ', 0	; nazev
		dw	offset pc_speaker		; rutina
		dw	0				; port
		dw	0
		dw	0

tabpar_1	db	'D/A on LPT1        ', 0
		dw	offset d_a_mono
		dw	378h				; port
		dw	0
		dw	0

tabpar_2	db	'D/A on LPT2        ', 0
		dw	offset d_a_mono
		dw	278h
		dw	0
		dw	0

tabpar_3	db	'D/A on 1&2 (Stereo)', 0
		dw	offset d_a_stereo
		dw	278h
		dw	378h
		dw	0

tabpar_4	db	'D/A on 1&2 (Mono)  ', 0
		dw	offset d_a_mstereo
		dw	278h
		dw	378h
		dw	0

tabpar_5	db	'LPT1 on Video card ', 0
		dw	offset d_a_mono
		dw	3bch
		dw	0
		dw	0

tabpar_6	db	'D/A @300/2 (Stereo)', 0
		dw	offset d_a_stereo
		dw	300h
		dw	302h
		dw	0

tabpar_7	db	'Sound Blaster (210)', 0
		dw	offset snd_blast
		dw	210h
		dw	0
		dw	0

tabpar_8	db	'Sound Blaster (220)', 0
		dw	offset snd_blast
		dw	220h
		dw	0
		dw	0

tabpar_9	db	'Sound Blaster (230)', 0
		dw	offset snd_blast
		dw	230h
		dw	0
		dw	0

tabpar_10	db	'Sound Blaster (240)', 0
		dw	offset snd_blast
		dw	240h
		dw	0
		dw	0

tabpar_11	db	'Sound Blaster (250)', 0
		dw	offset snd_blast
		dw	250h
		dw	0
		dw	0

yabpar_12	db	'Sound Blaster (260)', 0
		dw	offset snd_blast
		dw	260h
		dw	0
		dw	0

tabpar_13	db	'Mono D/A User Def  ', 0
		dw	offset d_a_mono
		dw	278h
		dw	0
		dw	0

tabpar_14	db	'Stereo D/A User Def', 0
		dw	offset d_a_stereo
		dw	278h
		dw	378h
		dw	0

; Tabulka pro jednotlive generatory 4x stejny usek

S_Gener		struc

SSeg		dw	0		; 0 	segment samplu
SPos		dw	0		; 2	pozice v samplu
SSize		dw	0		; 4	size samplu v bytech
Frekv		dw	0		; 6	frekvence (ale ne v Hz)
Vol		db	0		; 8	volume
LS		dw	0		; 9	LoopS
LSE		dw	0		; 11	LoopE + LoopS
NumSam		db	0		; 13	Cislo samplu
Cnt		db	0               ; 14	Citac

PComm		dd	0		; 15	jeden zaznam z patternu
PVol		dw	0		; 19	puvodni volume
OFrekv		dw	0		; 21	puvodni frekvence
PSTN		db	0		; 23	prommena slide to note
ASTN		db	0		; 24	argument slide to note
PSTN1		dw	0		; 25	dalsi promenna slide to note
APV		db	0		; 27	argument prikazu vibrato
PPV		db	0		; 28    promenna u prikazu vibrato

GVol		db	0		; 29	graficke volume (zobrazuje se)
GVol_Old	db	0		; 30	graficke volume (old)
ONumSam		db	0		; 31	stare cislo samplu

S_Gener		ends

Gen_1		S_Gener	<>
Gen_2		S_Gener	<>
Gen_3		S_Gener	<>
Gen_4		S_Gener	<>

;
;			       SUBROUTINE
;

		EVEN

sub_1		proc	near

		mov	mus_speed, 6
		xor	cx,cx
		mov	cnt_speed, cl
		mov	pos_patt, cx		; nuluj pozici
		mov	beg_patt, cl
                mov	obeg_patt, 0ffh
                mov	ONumPatt, 0ffh
		mov	end_flag, cl
                mov	end_play_patt, cl
		mov	bx, offset Gen_1
		mov	ax, cx
		mov	cx, (offset Gen_2 - offset Gen_1) * 4
locloop_14:	mov	[bx],al
		inc	bx
		loop	locloop_14
		mov	Gen_1.ONumSam, 0ffh
		mov	Gen_2.ONumSam, 0ffh
		mov	Gen_3.ONumSam, 0ffh
                mov	Gen_4.ONumSam, 0ffh
		mov	ax, data_8		; (89FD:0132=3E25h)
		xor	dx, dx
		mov	bh, dh
		mov	bl, data_9		; (89FD:0134=33h) (51)
		div	bx
		mov	tempo, ax
		mov	defa_tempo, ax
		mov	cnt_temp, ax
		mov	dx, 12h			; dx:ax = 1184734 (frekv)
		mov	ax, 34DEh
		mov	bx, data_8		; scan frekvence v Hz
		div	bx
		mov	data_16,al		; hodnota
                mov	bx, 300h
                mul	bx
		mov	data_15,ax		; 57600 = $e100
		mov	data_151,dx
		mov	ax, data_8
		mov	akt200s, ax
		mov	dl, 100
		div	dl
		mov	prer200s, ax
		ret

sub_1		endp
  
  
;
;			       SUBROUTINE
;

		EVEN

sub_2		proc    near

		mov	ax, cs
		mov	ds, ax
		mov	es, ax
		mov	al, cnt_speed		; dohral jsi takt ?
		inc	al
		cmp	al, mus_speed
		jge	loc_15			; ano, nove hodnoty
		mov	cnt_speed, al
		mov	si, offset Gen_1
                mov	al, 11h
		call	sub_4
		mov	si, offset Gen_2
                mov	al, 22h
		call	sub_4
		mov	si, offset Gen_3
		mov	al, 44h
		call	sub_4
		mov	si, offset Gen_4
                mov	al, 88h
		call	sub_4
		cmp	end_play_patt, 0	; konec patternu ?
		je	loc_171
                jmp	loc_17
loc_171:	ret

loc_15:		mov	es,mod_seg		; adresa modulu
		mov	al,beg_patt		; zacatecni pattern (akt pat)
		xor	ah,ah
		mov	cnt_speed, ah		; nuluj citac rychlosti
		add	ax,ofs_patt		; secti s offsetem
		mov	di,ax
		mov	al,es:[di]		; vezmi cislo paternu
                mov	NumPatt, al
		mov	ah,al                   ; * 256
		xor	al,al
		shl	ax,1			; * 512
		shl	ax,1			; * 1024 = delka paternu
		add	ax,pos_patt		; pricti pozici v patt
		mov	di,ax			; do di
		add	di,ofs_first		; pricti offset prvniho patt
		mov	si, offset Gen_1	; nacti parametry prvniho patt
                mov	al, 11h
		call	sub_3
		mov	si, offset Gen_2
                mov	al, 22h
		call	sub_3
		mov	si, offset Gen_3
                mov	al, 44h
		call	sub_3
		mov	si, offset Gen_4
                mov	al, 88h
		call	sub_3
		add	pos_patt, 4 * 4		; jdi na dalsi radek patternu
		cmp	pos_patt, (4 * 4 * 64)  ; konec ?
		je	loc_17
		cmp	end_play_patt, 0
		jne	loc_17
loc_ret_16:	ret

loc_17:		cmp	one_patt?,1		; hraje se jen jeden pattern?
		je	loc_181			; ano, konci
		xor	cx,cx                   ; ne
		mov	pos_patt,cx		; nuluj pozici v paternu
		mov	end_play_patt, cl
		mov	al,beg_patt		; zvys zacatecni pattern (sekv)
		inc	al
		and	al,7Fh			; do 127
		mov	beg_patt,al
		mov	bx,ofs_patt		; offset sekvence patternu
		cmp	al,es:[bx-2]            ; koncovy pattern
		jne	loc_ret_16		; ne
loc_18:		mov	cl, 0 			; mov	cs:end_flag,1
		jmp	loc_19
loc_181:	mov	cs:end_flag,1
loc_19:		mov	beg_patt,cl
		ret

sub_2		endp

  
;
;			       SUBROUTINE
;
  
; Vstup :	si - Gen_X

; Popis zaznamu v patternu v jedne stope :
;
;  0000 0000 | 0000 0000 | 0000 0000 | 0000 0000
;  \__/ \ opacna frekv./   \__/ \__/   \_______|__ argument prikazu
;    |                       |    |_______________ prikaz
;    |___ hi halfbyte samplu |____________________ lo halfbyte samplu


		EVEN

sub_3		proc    near

		add	di, 4
sub_301:	mov	ax,es:[di-4]		; prenes 4 byte z patternu
                xchg	ah, al			; obrat, Amiga to ma obracene
		mov	word ptr [si].PComm,ax
                and	ax, 0fffh
                jz	sub_31
                mov	al, [si].Vol
                mov	[si].GVol, al
sub_31:		mov	ax, es:[di-2]
		mov	word ptr [si+2].PComm,ax
		mov	al,byte ptr [si+2].PComm
		and	al,0F0h  		; orizni lo halfbyte nastroje
		shr	al,1			; posun doprava
		shr	al,1
		shr	al,1
		shr	al,1
		mov	ah,byte ptr [si+1].PComm; horni cast
		and	ah,0F0h
		or	al,ah			; nula ? (hraje se predchozi)
		jz	loc_21			; ano
		mov	bl,al			; ne, je treba dekodovat
		mov	[si].NumSam,al		; poznamenej si sampl
		mov	bh, 30			; nasob 30 (size head sam)
		mul	bh
		mov	dx,ax			; do dx
		dec	bl    			; sniz cislo nastroje (0=def)
		xor	bh,bh
		shl	bx, 1 			; cislo nastroje * 2
		mov	ax, [bx + offset seg_samples]	; vem segment nastroje
		mov	[si].SSeg,ax
		add	dx, 12  		; pricti ke kompenzaci
		mov	bx, dx			; vem pozici head samplu
		mov	ax, es:[bx]		; vezmi delku samplu ve words
                xchg	ah, al
		shl	ax, 1

		sub	ax, 5			; korekce ...

		mov	[si].SSize,ax		; uloz
		mov	ax, es:[bx+2]		; vezmi volume samplu
		xchg	ah, al
		mov	[si].PVol, ax		; uloz
		mov	[si].Vol, al
		mov	[si].GVol, al
		mov	ax, es:[bx+6]		; LoopE
		xchg	ah, al
		cmp	ax, 4
		jc	loc_20			; nula ?
		mov	cx, es:[bx+4]		; LoopS
		xchg	ch, cl			; zamen
		shl	cx, 1
		mov	[si].LS, cx		; poznamenej si ho
		add	cx, ax			; nasob 2
		add	cx, ax
		mov	[si].LSE,cx		; poznac si to ...
                jmp	loc_21

loc_20:		xor	ax, ax
		mov	[si].LS, ax
		mov	[si].LSE, ax
loc_21:		mov	ax, word ptr [si].PComm	; vem obracenou frekvenci
		and	ax, 0FFFh		; orizni hi pulbyte samplu
		jnz	loc_22			; je tam frekvence ?
		jmp	loc_33			; neni

loc_22:		mov	al, byte ptr [si+2].PComm ; vezmi prikaz
		and	al, 0Fh			; orizni lo pulbyte samplu
		cmp	al, 3			; command - slide to note ?
		jne	loc_23			; ne
		call	sub_5
		jmp	loc_33			; pokracuj

loc_23:		xor	cx, cx			; jiny prikaz
		mov	[si].PPV,cl		; promenna u vibrato
		mov	[si].SPos, cx		; nuluj pozici
		mov	[si].Cnt, cl		; nuluj citac
		mov	ax, word ptr [si].PComm	; vem opacnou frekvenci
		and	ax, 0FFFh		; orizni hi cislo samplu
		mov	[si].OFrekv, ax
		mov	cx, ax
		xor	dx, dx
		or	cx, cx
		jz	loc_24			; nula ?
		mov	ax, data_15		; $e100 = 57600
		div	cx
		mov	dx, ax
loc_24:		mov	[si].Frekv, dx		; uloz vysledek
		jmp	loc_33

sub_3		endp

loc_25:		mov	ax, [si].OFrekv
		mov	cx, ax
		xor	dx, dx
		or	cx, cx
		jz	loc_26
		mov	ax, data_15		; $e100 = 57600
		div	cx
		mov	dx, ax
loc_26:		mov	[si].Frekv, dx
		ret

; Tato rutina je volana pro kazdy generator pri dohrani taktu

sub_4:		mov	ax, word ptr [si+2].PComm ; byl nejaky prikaz ?
		xchg	al, ah
		and	ax, 0fffh
		jz	loc_25			; nebyl, spocti novou hodnotu
		mov	cl, ah			; neco tam bude
		or	cl, cl			; comm 0 - arepeggiation
		jz	arepegg			; ano
                cmp	cl, 1			; comm 1 - slide up
		jne	loc_27
		jmp	slide_up

loc_27:		cmp	cl, 2			; comm 2 - slide down
		jne	loc_28
		jmp	slide_down

loc_28:		cmp	cl, 3			; comm 3 - slide to note
		jne	loc_29
		jmp	slide_to_note

loc_29:		cmp	cl, 4			; comm 4 - vibrato
		jne	loc_30
		jmp	vibrato

loc_30:		mov	ax, [si].OFrekv		; volume slide
		mov	cx,ax
		xor	dx,dx
		or	cx,cx
		jz	loc_31
		mov	ax, data_15
		div	cx
		mov	dx,ax
loc_31:		mov	[si].Frekv, dx
		cmp	cl, 0Ah
		jne	loc_ret_32
		jmp	loc_42
  
loc_ret_32:	ret

loc_33:		mov	bl, byte ptr [si+2].PComm ; command
		and	bx, 0Fh			; orizni
		sub	bl, 0Bh
		jc	loc_ret_32		; tento prikaz neumim
		shl	bx, 1			; bx := bx * 2
		jmp	word ptr [bx + offset ta_jmp_xx]

ta_jmp_xx	dw	pos_jump	; 0bh - position jump
		dw	set_volume	; 0ch - set volume
		dw	patt_break	; 0dh - pattern break
                dw	j0939		; 0eh - zadny prikaz (return)
		dw	set_speed	; 0fh - set speed

; ===========================
;
; Prikaz - arepeggation
;
; ===========================

arepegg:	mov	al, cnt_speed
		xor	ah,ah
		mov	bl, 3
		div	bl			; deleno 3
		mov	al,ah
loc_35:		or	al,al
		jz	loc_37
		cmp	al,2
		je	loc_36
		mov	al,byte ptr [si+3].PComm ; argument prikazu
		shr	al,1
		shr	al,1
		shr	al,1
		shr	al,1
		jmp	loc_38

loc_36:		mov	al,byte ptr [si+3].PComm ; argument prikazu
		and	al,0Fh
		jmp	loc_38

loc_37:		mov	ax,[si].OFrekv		; opacne frekv
		jmp	loc_40

loc_38:		xor	ah,ah
		shl	ax,1
                mov	bx,ax
		mov	dx,[si].OFrekv		; opacna frekv
		mov	di, offset tbl_xxx
		add	di,ax
		mov	cx, 36
		mov	ax,[bx+di]
locloop_39:	mov	dx,[di]
		jnl	loc_40
		inc	di
                inc	di
		loop	locloop_39
		ret

loc_40:		mov	cx,ax
		xor	dx,dx
		or	cx,cx
		jz	loc_41
		mov	ax,data_15
		div	cx
		mov	dx,ax
loc_41:		mov	[si].Frekv,dx
		ret

loc_42:		mov	al, byte ptr [si+3].PComm
		shr	al,1
		shr	al,1
		shr	al,1
		shr	al,1
		or	al,al
		jz	loc_44
		xor	ah,ah
		mov	cx,[si].PVol		; get volume
		add	cx,ax
		cmp	cx,40h
		jle	loc_43
		mov	cx,40h
loc_43:		mov	[si].Vol,cl
		mov	[si].GVol,cl
		mov	[si].PVol,cx		; set volume !!!
		ret

loc_44:		mov	al, byte ptr [si+3].PComm
		and	ax,0Fh
		mov	cx,[si].PVol		; get volume
		sub	cx,ax
		jnc	loc_45
		xor	cx,cx
loc_45:		mov	[si].Vol,cl
		mov	[si].GVol,cl
		mov	[si].PVol,cx		; set volume
		ret

; =================================
;
;  Prikaz vibrato
;
; =================================

vibrato:	mov	al, byte ptr [si+3].PComm ; argument
		jz	loc_47			; nic ?
		mov	[si].APV,al		; zdvoj.
loc_47:		mov	bl,[si].PPV		; z 27 ?
		shl	bl, 1			; * 2
		and	bl, 1Fh			; and
		xor	bh, bh
		mov	cl,[bx + offset j0a4f]
		mov	al,[si].APV		; argument
		and	ax,0Fh
		mul	cl 			; nasob
                shr	ax, 1			; * 6
                shr	ax, 1
                shr	ax, 1
                shr	ax, 1
                shr	ax, 1
                shr	ax, 1
		mov	bx,[si].OFrekv		; opacna frekv.
		cmp	byte ptr [si].PPV, 0
		je	loc_48
		add	bx,ax             	; zvys.
		jmp	short loc_49
loc_48:		sub	bx,ax
loc_49:		mov	cx,bx
		xor	dx,dx
		or	cx,cx
		jz	loc_50
		mov	ax,data_15
                mov	dx,data_151
		div	cx
		mov	dx,ax
loc_50:		mov	[si].Frekv,dx
		mov	al,[si].APV
		shr	al,1
		shr	al,1
		and	al,3Ch
		add	[si].PPV,al
loc_ret_51:	ret

; =====================================
;
;   Prikaz slide to note
;
; =====================================


slide_to_note:	mov	al,byte ptr [si+3].PComm
		xor	dx,dx
		jnz	loc_53
		mov	byte ptr [si].ASTN,al
		mov	byte ptr [si+3].PComm,dl
loc_53:		cmp	[si].PSTN1,dx
		je	loc_ret_51
		mov	al,[si].ASTN
		mov	ah,dl
		mov	cx,[si].OFrekv		; opacna frekv.
		mov	bx,[si].PSTN1
		cmp	[si].PSTN,dl
		jne	loc_56
		add	cx,ax
		mov	[si].OFrekv,cx		; opacna frekv
		cmp	bx,cx
		jg	loc_54
		mov	[si].OFrekv,bx		; opacna frekv
		mov	[si].PSTN1,dx
loc_54:		mov	ax,[si].OFrekv
		mov	cx,ax
		xor	dx,dx
		or	cx,cx
		jz	loc_55
		mov	ax,data_15		; (89FD:013D=0)
		div	cx
		mov	dx,ax
loc_55:		mov	[si].Frekv,dx
		ret

loc_56:		sub	cx,ax
		mov	[si].OFrekv,cx
		cmp	bx,cx
		jl	loc_54
		mov	[si].OFrekv,bx
		mov	[si].PSTN1,dx
		mov	cx,bx
		xor	dx,dx
		or	cx,cx
		jz	loc_57
		mov	ax,data_15
		div	cx
		mov	dx,ax
loc_57:		mov	[si].Frekv,dx
loc_ret_58:	ret
  
sub_5:		mov	ax,word ptr [si].PComm
		and	ax,0FFFh
		mov	[si].PSTN1,ax
		mov	bx,[si].OFrekv		; opacna frekv
		mov	byte ptr [si].PSTN,0
		cmp	ax,bx
		je	loc_59
		jge	loc_ret_58
		mov	byte ptr [si].PSTN,1
		jmp	slide_to_note

loc_59:		mov	[si].PSTN1,0
		ret

; ========================================
;
;   Prikaz slide up
;
; ========================================

slide_up:	mov	al,byte ptr [si+3].PComm
		mov	cx,[si].OFrekv		; opacna frekv
		xor	ah,ah
		sub	cx,ax
		mov	[si].OFrekv,cx		; opacna frekv
		and	cx,0FFFh
		cmp	cx,71h
		jge	loc_61
		mov	cx,[si].OFrekv
		and	cx,0F000h
		or	cx,71h
		mov	[si].OFrekv,cx
		and	cx,0FFFh
loc_61:		xor	dx,dx
		or	cx,cx
		jz	loc_62
		mov	ax,data_15
		div	cx
		mov	dx,ax
loc_62:		mov	[si].Frekv,dx
		ret

; ====================================
;
;    Prikaz slide down
;
; ====================================

slide_down:	mov	al,byte ptr [si+3].PComm
		mov	cx,[si].OFrekv
		xor	ah,ah
		add	cx,ax
		mov	[si].OFrekv,cx
		and	cx,0FFFh
		cmp	cx,358h			; C 1 ?
		jle	loc_64
		mov	cx,[si].OFrekv
		and	cx,0F000h
		or	cx,358h
		mov	[si].OFrekv,cx
		and	cx,0FFFh
loc_64:		xor	dx,dx
		or	cx,cx
		jz	loc_65
		mov	ax,data_15		; (89FD:013D=0)
		div	cx
		mov	dx,ax
loc_65:		mov	[si].Frekv,dx
		ret

j0939:		ret


; Prikaz - pattern break


patt_break:	not	end_play_patt		; ukonci hraji patternu
		ret


; Prikaz position jump


pos_jump:	mov	al, byte ptr [si+3].PComm ; vezmi argument (novou poz)
		dec	al
		mov	beg_patt,al
		not	end_play_patt		; ukonci to
		ret


; Prikaz - set volume


set_volume:	mov	al,byte ptr [si+3].PComm
		cmp	al,40h			; 40h - maximalni volume
		jle	loc_68			; vetsi neberem
		mov	byte ptr [si+3].PComm, 40h
loc_68:		mov	al, byte ptr [si+3].PComm ; nastav volume
		xor	ah, ah
                mov	[si].PVol, ax
		mov	[si].GVol, al
		mov	[si].Vol, al
loc_ret_69:	ret


; Prikaz - set speed


set_speed:	mov	al, byte ptr [si+3].PComm ; vezmi argument (speed)
		cmp	al, 1Fh			; vetsi jak 1fh ?
		jbe	loc_70			; to neberem
		mov	byte ptr [si+3].PComm,1Fh
loc_70:		mov	al, byte ptr [si+3].PComm ; vezmi to
		or	al,al			; nula, kasli na to
		jz	loc_ret_69
		mov	mus_speed, al		; jinak to uloz
		mov	cnt_speed, 0
		ret

tbl_xxx		db	58h, 3, 28h, 3, 0FAh
		db	2, 0D0h, 2, 0A6h, 2, 80h
		db	2, 5Ch, 2, 3Ah, 2, 1Ah
		db	2, 0FCh, 1, 0E0h, 1, 0C5h
		db	1, 0ACh, 1, 94h, 1, 7Dh
		db	1, 68h, 1, 53h, 1, 40h
		db	1, 2Eh, 1, 1Dh, 1, 0Dh
		db	1, 0FEh, 0, 0F0h, 0, 0E2h
		db	0, 0D6h, 0, 0CAh, 0, 0BEh
		db	0, 0B4h, 0, 0AAh, 0, 0A0h
		db	0, 97h, 0, 8Fh, 0, 87h
		db	0, 7Fh, 0, 78h, 0, 71h
		db	0, 0, 0, 0, 0
j0a4f:		db	0
		db	18h, 31h, 4Ah, 61h, 78h, 8Dh
		db	0A1h, 0B4h, 0C5h, 0D4h, 0E0h, 0EBh
		db	0F4h, 0FAh, 0FDh, 0FFh, 0FDh, 0FAh
		db	0F4h, 0EBh, 0E0h, 0D4h, 0C5h, 0B4h
		db	0A1h, 8Dh, 78h, 61h, 4Ah, 31h
		db	18h

data_73		db	0
		db	0
ptr_play_rou	dw	0		; pointr na rutinu, ktera hraje pres 8
who_hardw	db	0		; jaky hardware (0 = SPEAKER)

; vraci v ax adresu rutiny, ktera hraje

get_adr_rou	proc    near

		push	bx
		push	ds
		push	cs
		pop	ds
		xor	ah,ah
		xor	dx, dx
		mov	al, how_hrdwr		; na cem mam hrat ?
		mov	bx, offset tabpar_1 - offset tabpar_0
		mul	bx
		mov	dx,ax
		add	dx, offset tabpar_0
		mov	bx,dx
		mov	ax, [bx+20]
		pop	ds
		pop	bx
		ret

get_adr_rou	endp
  
; tabulka hodnot pro citac PC SPEAKERU

tblspk		db	20h, 1Fh, 1Eh, 1Dh
		db	1Ch, 1Bh, 1Ah, 19h, 18h, 17h
		db	16h, 15h, 14h, 13h, 12h, 11h
		db	11h, 10h, 10h, 0Fh, 0Fh, 0Eh
		db	0Eh, 0Dh, 0Dh, 0Dh, 0Ch, 0Ch
		db	0Ch, 0Ch, 0Bh, 0Bh, 0Bh, 0Bh
		db	0Ah, 0Ah, 0Ah, 0Ah, 0Ah
		db	9 dup (9)
		db	12 dup (8)
		db	7 dup (7)
		db	11 dup (6)
		db	10 dup (5)
		db	10 dup (4)
		db	10 dup (3)
		db	9 dup (2)
		db	11 dup (1)
		db	'@@@@@@@@@@????????????>>>>>>>>>>'
		db	'=========<<<<<<<<<<;;;;;;;;;;:::'
		db	':::::::9999999999888888887777766'
		db	'66555544433221100/.-,+*)(', 27h, '&'
		db	'%$'
		db	'#"!'

old_8		dw	0, 0		; stary interrupt 8
sch_21		db	0		; schovana hodnota z portu 21h
  
;
;			       SUBROUTINE
;
  
minit		proc    near

		push	cs
		pop	ds
		push	ax
		xor	ax,ax
		mov	cnt_intr,ax		; nuluj citac
		mov	al,data_16
		mov	data_73,al
		pop	ax
		call	get_adr_rou
		mov	ptr_play_rou, ax	; cim se hraje ?
		cmp	ax, offset snd_blast	; sound blaster ?
		jne	loc_72			; ne
		call	snd_blast_init		; inicializuj ho
		jmp	short loc_75

loc_72:		cmp	ax, offset d_a_mono	; d_a_mono ?
		jne	loc_73			; ne
		mov	bx,dx
		mov	ax,[bx+16h]		; vezmi adresu portu
		mov	word ptr ds:[offset d_a_mono_a + 1], ax
		jmp	short loc_75

loc_73:		cmp	ax, offset d_a_stereo	; D/A stereo
		jne	loc_74
		mov	bx,dx
		mov	ax,[bx+16h]		; first port
		mov	word ptr ds:[offset d_a_stereo_a1 + 1],ax
		mov	ax,[bx+18h]		; second port
		mov	word ptr ds:[offset d_a_stereo_a2 + 1],ax
		jmp	short loc_75

loc_74:		cmp	ax, offset d_a_mstereo	; D/A stereo (mono)
		jne	loc_75
		mov	bx,dx
		mov	ax,[bx+16h]		; first port
		mov	word ptr ds:[offset d_a_mstereo_a1 + 1],ax
		mov	ax,[bx+18h]
		mov	word ptr ds:[offset d_a_mstereo_a2 + 1],ax
		jmp	short loc_75

loc_75:		push	es
		xor	ax, ax
		mov	es, ax
		mov	ax, es:[8 * 4]
		mov	cs:old_8, ax
		mov	ax, es:[8 * 4 + 2]
		mov	cs:old_8 + 2, ax
		pop	es
		in	al,21h			; port 21h, 8259-1 int IMR
		mov	sch_21, al
		cli
		mov	al,0FFh
IF NODEBUG
		out	21h,al			; port 21h, 8259-1 int comands
ENDIF
		sti
		push	ds
		mov	dx,cs:ptr_play_rou
		mov	ax, 2508h		; novy interrupt 8
IF NODEBUG
		int	21h			; DOS Services  ah=function 25h
ENDIF						;  set intrpt vector al to ds:dx
		pop	ds
		mov	ax,533h
		out	42h,al			; port 42h, 8253 timer 2 spkr
		mov	al,ah
		out	42h,al			; port 42h, 8253 timer 2 spkr
IF NODEBUG
		mov	al,34h			; '4'
		out	43h,al			; port 43h, 8253 wrt timr mode
		mov	al,cs:data_73		; (89FD:0A6F=0)
		out	40h,al			; port 40h, 8253 timer 0 clock
		mov	al,0
		out	40h,al			; port 40h, 8253 timer 0 clock
ENDIF
		mov	al, 90h			; 90h
		out	43h,al			; port 43h, 8253 wrt timr mode
		in	al,61h			; port 61h, 8255 port B, read
		or	al,3
		out	61h,al			; port 61h, 8255 B - spkr, etc
IF NODEBUG
		cli
		mov	al,0FCh
		out	21h,al			; port 21h, 8259-1 int comands
		sti
ENDIF
		mov	end_flag,0
loc_ret_76:	ret

minit		endp
  

;
;			       SUBROUTINE
;
  
deinstall	proc	near

                irp	x, <ds, es, ax, bx, cx, dx, di, si, bp>
                push	x
                endm
IF NODEBUG
		cli
		mov	al, 0FFh
		out	21h, al			; port 21h, 8259-1 int comands
		sti
ENDIF
		in	al, 61h			; port 61h, 8255 port B, read
		and	al, 0FCh
		out	61h, al			; port 61h, 8255 B - spkr, etc
IF NODEBUG
		mov	al, 34h			; '4'
		out	43h,al			; port 43h, 8253 wrt timr mode
		mov	ax,0
		out	40h,al			; port 40h, 8253 timer 0 clock
		mov	al, ah
		out	40h,al			; port 40h, 8253 timer 0 clock
ENDIF
		mov	al,0B6h
		out	43h,al			; port 43h, 8253 wrt timr mode
		mov	ax,533h
		out	42h,al			; port 42h, 8253 timer 2 spkr
		mov	al,ah
		out	42h,al			; port 42h, 8253 timer 2 spkr
		mov	ax,cs
		mov	ds,ax
		mov	es,ax
IF NODEBUG
		push	ds
		xor	ax, ax
		mov	ds, ax
		mov	ax, cs:old_8
		mov	ds:[8 * 4], ax
		mov	ax, cs:old_8 + 2
		mov	ds:[8 * 4 + 2], ax
		pop	ds
ENDIF
IF NODEBUG
		cli
		mov	al, sch_21		; (89FD:0BAF=0)
		out	21h,al			; port 21h, 8259-1 int comands
		sti
ENDIF
		mov	cs:end_flag, 1		; end flag = TRUE
                irp	x, <bp, si, di, dx, cx, bx, ax, es, ds>
                pop	x
                endm
		ret

deinstall	endp

d_a_mono	proc

		push	ds
		push	es
		push	ax
		push	bx
		push	dx
		mov	ax,cs
		mov	ds,ax
		call	get_mono
		mov	al,dl
		sub	al,80h
d_a_mono_a:	mov	dx,0
		out	dx, al
		sti
		mov	al,20h
		out	20h,al
		dec	cnt_temp
		jz	loc_94
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret

loc_94:		mov	ax,tempo
		mov	cnt_temp, ax
		inc	cnt_intr
		push	cx
		push	di
		push	si
		push	bp
		call	sub_2
		pop	bp
		pop	si
		pop	di
		pop	cx
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret

d_a_mono	endp

d_a_mstereo	proc

		push	ds
		push	es
		push	ax
		push	bx
		push	dx
		mov	ax,cs
		mov	ds,ax
		call	get_mono
		mov	al,dl
		sub	al,80h
d_a_mstereo_a1:	mov	dx,0
		out	dx,al
d_a_mstereo_a2:	mov	dx,0
		out	dx,al
		sti
		mov	al,20h
		out	20h,al
		dec	cnt_temp
		jz	loc_103
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret

loc_103:	mov	ax,tempo
		mov	cnt_temp, ax
		inc	cnt_intr
		push	cx
		push	di
		push	si
		push	bp
		call	sub_2
		pop	bp
		pop	si
		pop	di
		pop	cx
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret

d_a_mstereo	endp

pom_spk		db	0

		EVEN

pc_speaker	proc

		push	ds
		push	es
		push	ax
		push	bx
		push	dx
		mov	ax,cs
		mov	ds,ax
		cmp	cs:akt_vol_div, 8	; 8 uz stoji
		jz	@@p1
		mov	al, cs:pom_spk
		out	42h, al
@@p1:		call	get_mono
		mov	al, dl
		mov	bx, offset tblspk
		xlat
		mov	cs:pom_spk, al
;		out	42h,al			; port 42h, 8253 timer 2 spkr
IF NODEBUG
		sti
		mov	al,20h			; ' '
		out	20h,al			; port 20h, 8259-1 int command
						;  al = 20h, end of interrupt
ENDIF
		dec	cnt_temp
		jz	loc_112
		pop	dx
		pop	bx
		mov	ax, prer200s
		sub	akt200s, ax
		jns	@@1
		mov	ax, data_8
		mov	akt200s, ax
		call	main_8_r
@@1:		pop	ax
		pop	es
		pop	ds
IF DEBUG
		ret
ELSE
		iret
ENDIF


loc_112:	mov	ax,tempo		; (89FD:0142=0)
		mov	cnt_temp, ax
		inc	cnt_intr
		push	cx
		push	di
		push	si
		push	bp
		call	sub_2			; (04E6)
                irp	x, <bp, si, di, cx, dx, bx, ax, es, ds>
                pop	x
                endm
IF DEBUG
		ret
ELSE
		iret
ENDIF

pc_speaker	endp

; ==================================
;
;       M O N O
;
; Rutina ktera vraci v dl
;
; ==================================

rep_mono	macro	A, X, Y

		mov	ax,X.SSeg	; segment samplu
		or	ax,ax		; nula ?
		jz	Y		; ano, konci
		mov	es,ax		; nastav es
		mov	bx,X.SPos	; pozice v samplu ?
		cmp	X.SSize,bx	; delka samplu v bytech
		jae	A		; nad nebo rovno ?
		mov	bx,X.LS		; vezmi LoopS
                mov	ax,X.LSE	; LoopS + LoopE
		or	ax,ax
		jz	Y		; nula, bez na dalsi generator
		mov	X.SSize,ax	; delka samplu v bytech
A:		xor	ah,ah
		mov	al, byte ptr X.Frekv ; cislo podle frekv
		add	X.Cnt,al	; je nulovane
		mov	al, byte ptr X.Frekv + 1 ; asi nula
		adc	bx,ax		; volume + neco = pozice v samplu
		mov	X.SPos,bx	; uloz pozici
		mov	al,es:[bx]
		imul	X.Vol		; nasob volume
		add	dl,ah		; horejsek pricti

		endm

get_mono	proc    near

		xor	dl, dl
		rep_mono <get_mono_1>, <Gen_1>, <get_mono_11>
get_mono_11:	rep_mono <get_mono_2>, <Gen_2>, <get_mono_21>
get_mono_21:	rep_mono <get_mono_3>, <Gen_3>, <get_mono_31>
get_mono_31:	rep_mono <get_mono_4>, <Gen_4>, <get_mono_41>
get_mono_41:	mov	al, dl
		cbw
		idiv	cs:akt_vol_div
		mov	dl, al
		ret

get_mono	endp

d_a_stereo	proc

		push	ds
		push	es
		push	ax
		push	bx
		push	dx
		mov	ax,cs
		mov	ds,ax
                call	get_stereo
		mov	ax,dx
		sub	al,80h
		sub	ah,80h
d_a_stereo_a1:	mov	dx,0
		out	dx,al			; port 0, DMA-1 bas&add ch 0
		mov	al,ah
d_a_stereo_a2:	mov	dx,0
		out	dx,al			; port 0, DMA-1 bas&add ch 0
		sti
		mov	al,20h			; ' '
		out	20h,al			; port 20h, 8259-1 int command
						;  al = 20h, end of interrupt
		dec	cnt_temp
		jz	loc_121
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret

loc_121:	mov	ax,tempo		; (89FD:0142=0)
		mov	cnt_temp, ax
		inc	cnt_intr
		push	cx
		push	di
		push	si
		push	bp
		call	sub_2			; (04E6)
		pop	bp
		pop	si
		pop	di
		pop	cx
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret

d_a_stereo	endp

snd_blast	proc

		push	ds
		push	es
		push	ax
		push	bx
		push	dx
		mov	ax,cs
		mov	ds,ax
                call	get_mono
		mov	al,dl
		mov	dx,22Ch
		mov	ah,al
loc_130:	in	al,dx			; port 22Ch
		rol	al,1
		jc	loc_130
		mov	al,ah
		sub	al,80h
		out	dx,al			; port 22Ch
		sti
		mov	al,20h			; ' '
		out	20h,al			; port 20h, 8259-1 int command
						;  al = 20h, end of interrupt
		dec	cnt_temp
		jz	loc_131
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret

loc_131:	mov	ax,tempo		; (89FD:0142=0)
		mov	cnt_temp, ax
		inc	cnt_intr
		push	cx
		push	di
		push	si
		push	bp
		call	sub_2			; (04E6)
		pop	bp
		pop	si
		pop	di
		pop	cx
		pop	dx
		pop	bx
		pop	ax
		pop	es
		pop	ds
		iret
  
snd_blast	endp

get_stereo	proc

		ret

get_stereo	endp


;
;			       SUBROUTINE
;
  
snd_blast_init	proc	near

		mov	bx,dx
		mov	ax,[bx+16h]
		mov	dx,ax
		add	ax,0Ch
		mov	di,135Ah
		mov	cs:[di],ax
		add	dx,6
		mov	al,1
		out	dx,al			; port 3E2Bh
		push	ax
		pop	ax
		mov	al,0
		out	dx,al			; port 3E2Bh
		add	dx,6
		mov	cx,0Ah
locloop_132:	push	cx
		mov	cx,0FFFFh
locloop_133:	in	al,dx			; port 3E31h
		rol	al,1
		jnc	loc_134
		loop	locloop_133
		pop	cx
		loop	locloop_132
                pop	ax
                pop	ax
                mov	ax, 2000h		; chybny konec
		jmp	play_end
loc_134:	pop	cx
		mov	al,0D1h
		out	dx,al			; port 3E31h
loc_ret_135:	ret

snd_blast_init	endp

; inicializace nekterych promennych

mod_init	proc	near

		mov	ofs_patt, 952  	; offset sekvence patternu v modulu
		mov	ofs_first, 1084	; offset prvniho patternu v modulu
		ret

mod_init	endp
  
; Provede nastaveni systemovych hodin podle casu z CMOS

time?		proc    near
		public	time?

		mov	ah,2
		int	1Ah			; Real time clock   ah=func 02h
						;  read clock cx=hrs/min, dh=sec
		mov	al,ch
		call	sub_20
		mov	ch,al
		mov	al,cl
		call	sub_20
		mov	cl,al
		mov	al,dh
		call	sub_20
		mov	dh,al
		xor	dl,dl
		mov	ah,2Dh			; '-'
		int	21h			; DOS Services  ah=function 2Dh
						;  set time, cx=hrs/min, dh=sec
		ret

time?		endp

sub_20		proc	near

		push	cx
		mov	cl,al
		and	cx, 0Fh
		and	al, 0F0h
		shr	al,1
		shr	al,1
		shr	al,1
		shr	al,1
		mov	bl, 10
		mul	bl
		add	ax, cx
		pop	cx
		ret

sub_20		endp

; =========================================
;
; 	    Hraci rutina
;
; =========================================

_mod_play	proc    far
		public	_mod_play

		cmp	cs:cfgMusic, 0		; muzu hrat ?
		jnz	@@1
		ret
@@1:		irp	x, <bx, cx, dx, es, ds, bp, si, di>
		push	x
		endm
		mov	ax, cs
		mov	ds, ax
		mov	es, ax
		push	dx			; v dx:cx parametry
		push	cx
		call	mod_init		; inicializace promennych
		pop	di
		pop	es
		cmp	word ptr es:[di], 'PM'	; na zacatku musi byt 'MP'
		je	mod_play_1
		mov	ax, 2000h		; priznak chyby
		jmp	play_end

mod_play_1:	mov	cs:i_play, 0ffh
		mov	al,es:[di+2]		; asi cim se ma hrat (0=SPEAKER)
		mov	who_hardw, al
		mov	al,es:[di+44h]		; 0 - begin to end, 1 - one
		mov	commands, al		; v ostatnich bitech prikazy
		and	al, 1			; pattern
		mov	one_patt?, al
		mov	al, es:[di+43h]		; zacatecni pattern
		and	al, 7Fh			; pouze 0 - 127
		push	ax
		mov	ax, es:[di+3]		; segment modulu
		mov	mod_seg,ax
		add	di, 5			; jdi na samply
		mov	si, offset seg_samples
		mov	cx, 31			; 31 samplu

mod_play_2:	mov	ax,es:[di]		; prepis
		mov	[si],ax
		add	di, 2
		add	si, 2
		loop	mod_play_2

		push	cs
		pop	es
		call	sub_1
		pop	ax
		mov	beg_patt, al
		sti
		call	minit			; inicializace interruptu
mod_play_4:
IF DEBUG
		push	cx
		mov	cx, 20h
mod_play_5:	loop	mod_play_5
		pop	cx
		call	pc_speaker
ENDIF
play_end_g:	mov	ax, 5722h		; priznak spravneho play
play_end:	irp	x, <di, si, bp, ds, es, dx, cx, bx>
		pop	x
		endm
		ret

_mod_play	endp

_mod_end	proc	far
		public	_mod_end

		cmp	cs:i_play, 0
		jz	@@1
		push	si
		push	di
		push	ds
		push	es
		call	deinstall		; odinstaluj
		call	time?			; nastav spravny cas
		call	restore8253
		mov	cs:i_play, 0
		pop	es
		pop	ds
		pop	di
		pop	si
@@1:		ret

_mod_end	endp

		END
